﻿using System;
using System.Linq;
using System.Xml;
using System.Collections.Generic;
using UnityEngine;
using System.IO;

public class RandomSpawnPoint
{
    public RandomSpawnPoint()
    {


    }
    public RandomSpawnPoint(float x, float y, float z, byte rotation)
    {
        _centerX = x;
        _centerY = y;
        _centerZ = z;
        _rotation = rotation;
    }
    private float _centerX;
    public float CenterX
    {
        get
        {
            return _centerX;
        }
        set
        {
            _centerX = value;
        }
    }
    private float _centerY;
    public float CenterY
    {
        get
        {
            return _centerY;
        }
        set
        {
            _centerY = value;
        }
    }
    private float _centerZ;
    public float CenterZ
    {
        get
        {
            return _centerZ;
        }
        set
        {
            _centerZ = value;
        }
    }
    private byte _rotation;
    public byte Rotation
    {
        get
        {
            return _rotation;
        }
        set
        {
            _rotation = value;
        }
    }
    public void Write(BinaryWriter writer)
    {
        writer.Write(_centerX);
        writer.Write(_centerY);
        writer.Write(_centerZ);
        writer.Write(_rotation);
    }
    public void Read(BinaryReader reader)
    {
        _centerX = reader.ReadSingle();
        _centerY = reader.ReadSingle();
        _centerZ = reader.ReadSingle();
        _rotation = reader.ReadByte();
    }


}

